/*-----------------------------------------------------------*/
/* File: exampleMultiR.c        by B.Mours (LAPP) Sep 14, 98 */
/*                                                           */
/*  This program reads the sevreral files produced by the    */
/*   program exampleMultiW.c. It open the files by group of  */
/*   two files.                                              */
/*-----------------------------------------------------------*/
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include "FrameL.h"
  
int main(int argc, char *argv)   /*-------------- main ------*/
{struct FrFile *iFile;
 struct FrameH *frame;
 long fileIndex;
 char fileName[100];
 
    /*------------------------------------- file open--------*/

  fileIndex = 0;

  for(;;)
   {fileIndex = (fileIndex+2)%10;
    sprintf(fileName,"file%ld.dat file%ld.dat",fileIndex,fileIndex+1);
    printf(" Try to open file %s\n",fileName);
 
    iFile = FrFileINew(fileName);
    if(iFile == NULL)
       {printf("Error during file opening: %s\n"
               "  Last errors are:\n%s",
                fileName,FrErrorGetHistory());
        return(0);}

    /*-------------------------- read all the frames ------*/

    while((frame = FrameRead(iFile)) != NULL)
        {FrameDump(frame, stdout, 2);
         FrameFree(frame);}
       
    /*-------------------------- close files --------------*/

    FrFileIEnd(iFile);}

  return(0);
}


